Index: lib/matplotlib/cbook.py
===================================================================
--- lib/matplotlib/cbook.py	(revision 6385)
+++ lib/matplotlib/cbook.py	(working copy)
@@ -267,6 +267,7 @@
 
 def is_string_like(obj):
     'return true if *obj* looks like a string'
+    if isinstance(obj, np.string_): return True
     if hasattr(obj, 'shape'): return False
     try: obj + ''
     except (TypeError, ValueError): return False
Index: lib/matplotlib/axes.py
===================================================================
--- lib/matplotlib/axes.py	(revision 6384)
+++ lib/matplotlib/axes.py	(working copy)
@@ -4930,7 +4930,7 @@
         # The inherent ambiguity is resolved in favor of color
         # mapping, not interpretation as rgb or rgba.
 
-        if not is_string_like(c):
+        if not (is_string_like(c) or cbook.is_sequence_of_strings(c)):
             sh = np.shape(c)
             if len(sh) == 1 and sh[0] == len(x):
                 colors = None  # use cmap, norm after collection is created
Index: lib/matplotlib/colors.py
===================================================================
--- lib/matplotlib/colors.py	(revision 6384)
+++ lib/matplotlib/colors.py	(working copy)
@@ -343,7 +343,7 @@
             # with modified items so that items can be appended to
             # it. This is needed for examples/dynamic_collections.py.
             if isinstance(c, np.ndarray):
-                if len(c.shape) != 2:
+                if len(c.shape) != 2 and not cbook.is_sequence_of_strings(c):
                     raise ValueError("Color array must be two-dimensional")
 
             result = np.zeros((len(c), 4))
